Summary:	I/O on in-core objects for Perl
Name:		perl-IO-stringy
Version:	2.111
Release:	12
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/IO-stringy
Source0:	https://cpan.metacpan.org/authors/id/D/DS/DSKOLL/IO-stringy-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp) perl(Exporter) perl(FileHandle) perl(IO::File) perl(IO::Handle) perl(overload) perl(strict) perl(Symbol) perl(vars)
# Test Suite
BuildRequires:	perl(File::Basename) perl(lib)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Avoid doc-file dependency on /usr/bin/perl
%{?perl_default_filter}

%description
This package provides I/O on in-core objects for Perl,
such as IO::Scalar, IO::ScalarArray, and IO::Lines.

%package_help

%prep
%autosetup -n IO-stringy-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc README examples/
%{perl_vendorlib}/IO/

%files help
%{_mandir}/man3/IO::AtomicFile.3*
%{_mandir}/man3/IO::InnerFile.3*
%{_mandir}/man3/IO::Lines.3*
%{_mandir}/man3/IO::Scalar.3*
%{_mandir}/man3/IO::ScalarArray.3*
%{_mandir}/man3/IO::Stringy.3*
%{_mandir}/man3/IO::Wrap.3*
%{_mandir}/man3/IO::WrapTie.3*

%changelog
* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.111-12
- Package init
